Subject: Re: [PATCH v3 05/17] t/helper/test-read-graph.c: extract `dump_graph_info()`

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Oct 2023 16:56:08 -0700

Taylor Blau <[email-masked]> writes:

> On Tue, Oct 17, 2023 at 10:45:18AM +0200, Patrick Steinhardt wrote:
>> On Tue, Oct 10, 2023 at 04:33:33PM -0400, Taylor Blau wrote:
>> > Prepare for the 'read-graph' test helper to perform other tasks besides
>> > dumping high-level information about the commit-graph by extracting its
>> > main routine into a separate function.
>> >
>> > Signed-off-by: Taylor Blau <[email-masked]>
>> > Signed-off-by: Jonathan Tan <[email-masked]>
>> > Signed-off-by: Junio C Hamano <[email-masked]>
>> > Signed-off-by: Taylor Blau <[email-masked]>
>>
>> Nit: your signoff is duplicated here. This is also still the case for
>> some of the other commits.
>
> Yeah, this is an artifact of having tossed these patches back and forth
> (originally Jonathan sent some of these, then I sent another round, then
> Jonathan, now me again). It's a little verbose, but accurately tracks
> the DCO across multiple rounds.

Well, between you and Jonathan Tan, that might be true, but my
involvement in the chain is only that I happened to have looked at
an earlier round and without doing anything else.  Even if you
refetched from my tree and based the new round on that version, it
would have been the same if you started from what you sent out
earlier without even looking at my tree.  So I do not think that
chain of DCO adds very little value by recording my sign-off there.